com.creamtec.ajaxswing.gui.peer

## Class AjaxSwingChoicePeer

- java.lang.Object
- - com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer
  - - com.creamtec.ajaxswing.gui.peer.AjaxSwingChoicePeer

- All Implemented Interfaces:
    java.awt.peer.ChoicePeer, java.awt.peer.ComponentPeer

      public class AjaxSwingChoicePeer
      extends AjaxSwingComponentPeer
      implements java.awt.peer.ChoicePeer

- - ### Field Summary

    - ### Fields inherited from interface java.awt.peer.ComponentPeer

      `DEFAULT_OPERATION, NO_EMBEDDED_CHECK, RESET_OPERATION, SET_BOUNDS, SET_CLIENT_SIZE, SET_LOCATION, SET_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxSwingChoicePeer(java.awt.Component target)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String item, int index)`
    `void` | `addItem(java.lang.String item, int i)`
    `boolean` | `isFocusable()`
    `void` | `remove(int index)`
    `void` | `removeAll()`
    `void` | `select(int index)`

    - ### Methods inherited from class com.creamtec.ajaxswing.gui.peer.AjaxSwingComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createDelegate, createImage, createImage, createVolatileImage, destroyBuffers, disable, dispose, enable, flip, flip, getAppropriateGraphicsConfiguration, getBackBuffer, getBounds, getColorModel, getDelegate, getDelegateComponent, getFontMetrics, getGraphics, getGraphicsConfiguration, getImage, getLocationOnScreen, getMinimumSize, getPreferredSize, getTarget, getToolkit, handleEvent, handlesWheelScrolling, hide, isFocusTraversable, isObscured, isReparentSupported, layout, minimumSize, paint, preferredSize, prepareImage, print, repaint, reparent, requestFocus, requestFocus, requestFocus, reshape, setBackground, setBounds, setBounds, setBounds, setCursor, setDelegate, setDelegateComponent, setEnabled, setFont, setForeground, setTarget, setVisible, setZOrder, show, updateCursorImmediately, updateGraphicsData`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.peer.ComponentPeer

      `applyShape, canDetermineObscurity, checkImage, coalescePaintEvent, createBuffers, createImage, createImage, createVolatileImage, destroyBuffers, dispose, flip, getBackBuffer, getColorModel, getFontMetrics, getGraphics, getGraphicsConfiguration, getLocationOnScreen, getMinimumSize, getPreferredSize, getToolkit, handleEvent, handlesWheelScrolling, isObscured, isReparentSupported, layout, paint, prepareImage, print, reparent, requestFocus, setBackground, setBounds, setEnabled, setFont, setForeground, setVisible, setZOrder, updateCursorImmediately, updateGraphicsData`

- - ### Constructor Detail

    - #### AjaxSwingChoicePeer

          public AjaxSwingChoicePeer(java.awt.Component target)

  - ### Method Detail

    - #### add

          public void add(java.lang.String item,
                 int index)

      Specified by:
        `add` in interface `java.awt.peer.ChoicePeer`

    - #### remove

          public void remove(int index)

      Specified by:
        `remove` in interface `java.awt.peer.ChoicePeer`

    - #### isFocusable

          public boolean isFocusable()

      Specified by:
        `isFocusable` in interface `java.awt.peer.ComponentPeer`
      Overrides:
        `isFocusable` in class `AjaxSwingComponentPeer`

    - #### select

          public void select(int index)

      Specified by:
        `select` in interface `java.awt.peer.ChoicePeer`

    - #### addItem

          public void addItem(java.lang.String item,
                     int i)

    - #### removeAll

          public void removeAll()

      Specified by:
        `removeAll` in interface `java.awt.peer.ChoicePeer`

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.